Public Class ucMenuUsuario
    Inherits System.Web.UI.UserControl

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            If STP.BL.RolBusinessObject.IsInRole(CInt(Page.User.Identity.Name), 3) Then
                nbMenu.Visible = True
                imgMenu.Visible = False
                Dim ouser As New UsuariosBusinessObject(CInt(Page.User.Identity.Name))
                If (ouser.Entity.vbEspecialidad = False) Or (ouser.Entity.vbReferencias = False) Or (ouser.Entity.vbEspecialidad Is Nothing) Or (ouser.Entity.vbReferencias Is Nothing) Then
                    ltlAviso1.Visible = True
                End If
                If (ouser.Entity.vbClausula = False) Or (ouser.Entity.vbClausula Is Nothing) Then
                    ltlAviso2.Visible = True
                End If
            End If
            'If ConnectedUserInfo.IsInRole("3") Then

            'End If
        End If

    End Sub

End Class